
version 10

/* Replication Data for "Does Indiscriminate Violence Incite Insurgent Attacks? Evidence from Chechnya" (JCR 53:3, 2009, 331-62) */
/* Jason Lyall */
/* May 2009 */

clear
use "H:\public_html\Artillery_RepData.dta"
  
reg diff treat, cluster(vilno)
reg diff treat lpop2000 poverty tariq iso lnn garrison reb pret swept lelev, cluster(vilno)
reg diff treat if groznyy!=1, cluster(vilno)
reg diff treat lpop2000 poverty tariq iso lnn garrison reb pret swept lelev if groznyy!=1, cluster(vilno)
reg diff deathsd lpop2000 poverty tariq iso lnn garrison reb pret swept lelev, cluster(vilno)
reg diff deaths lpop2000 poverty tariq iso lnn garrison reb pret swept lelev, cluster(vilno)
reg diff woundedd lpop2000 poverty tariq iso lnn garrison reb pret swept lelev, cluster(vilno)
reg diff wounded lpop2000 poverty tariq iso lnn garrison reb pret swept lelev, cluster(vilno)
reg diff propd lpop2000 poverty tariq iso lnn garrison reb pret swept lelev, cluster(vilno)
reg diff lprop lpop2000 poverty tariq iso lnn garrison reb pret swept lelev, cluster(vilno)
reg diff historyd lpop2000 poverty tariq iso lnn garrison reb pret swept lelev, cluster(vilno)
reg diff lhistory lpop2000 poverty tariq iso lnn garrison reb pret swept lelev, cluster(vilno)

stset vildays, failure(fail)
streg treat lpop2000 poverty tariq iso lnn garrison reb pret swept lelev, dist(weibull) cluster(vilno)
stcurve, hazard at1(treat=1)

exit